Bug 139221 - yum failure with rpm 4.4
Summary: yum failure with rpm 4.4
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-14 05:50 UTC by Michael Jennings (KainX)
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 18:23:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Jennings (KainX) 2004-11-14 05:50:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
AttributeError: 'module' object has no attribute '_RPMVSF_NOSIGNATURES'

The _RPMVSF_NOSIGNATURES and _RPMVSF_NODIGESTS flags are no longer
being recognized as valid attributes in the rpmmodule python module. 
This occurs on CentOS 3.3 with python 2.2.3, so it would seem to be
the subclassable wrapping which has caused the error, not python 2.4.


Version-Release number of selected component (if applicable):
rpm-4.4-0.1

How reproducible:
Always

Steps to Reproduce:
1. Install rpm-4.4-0.x
2. Run "yum update" on yum 2.0.x or 2.1.x
3. Blame jbj :-)
    

Additional info:

0936 <jbj[#cAos]> KainX: python-2.4 appears to enforce making symbols
that start with '_' opaque.
0937 <jbj[#cAos]> put the numeric value in, or -1 if you're too lazy
to look up the value, all the bits are disablers.
0950 <jbj[#cAos]> KainX: the other thing it might be is that rpmmodule
is now wrapped so that it can be subclassed. so perhaps the wrapping,
not python-2.4, is what enforce '_' symbols opaque.  bugzilla, and
I'll get you a fix. I've seen, I slammed in a -1, but I'm wrestling
python-2.4 problems too.

Comment 1 Paul Nasrat 2004-11-15 14:08:19 UTC
Commited a fix to rexport those symbols in wrapper

Comment 2 Michael Jennings (KainX) 2004-11-23 18:23:19 UTC
Thanks Paul.  That did the trick. :)


Note You need to log in before you can comment on or make changes to this bug.